System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationElement

This class corresponds to the DefaultHttpCachePolicy Element (Network Settings) configuration element.

This class is used to specify the HTTP caching configuration that applies to network resources obtained by using the and classes.

This class provides programmatic access to information that can be stored in configuration files.

Represents the default HTTP cache policy for network resources. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor adds the , , , and properties to the collection.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("maximumAge", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.TimeSpan To be added.

  If the cached copy of the resource is older than the specified time value, the resource must be revalidated by comparing the cached resource to the resource on the server.

  Gets or sets the maximum age permitted for a resource returned from the cache.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("maximumStale", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.TimeSpan To be added.

  This property specifies the amount of time after content expiration during which the cached copy of the resource is acceptable.

  Gets or sets the maximum staleness value permitted for a resource returned from the cache.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("minimumFresh", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.TimeSpan To be added.

  This value specifies the amount of time before content expiration, during which the cached copy of the resource is acceptable.

  Gets or sets the minimum freshness permitted for a resource returned from the cache.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("policyLevel", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Net.Cache.HttpRequestCacheLevel To be added.

  Applications typically use as their cache policy level. The property, if not null, determines the cache policy in effect for a request.

  Gets or sets HTTP caching behavior for the local machine.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added.

  The collection contains four elements, which corresponds to the , , , and properties.

  Gets the collection of properties for the current instance.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void `` To be added. To be added. To be added.